function switchLocal(id){

	if(nsPreferences.getBoolPref('jlpkit.local.confirm',true)){
		var objAppInfo=Components.classes["@mozilla.org/xre/app-info;1"].getService(Components.interfaces.nsIXULAppInfo);
		var objPrompt = Components.classes["@mozilla.org/embedcomp/prompt-service;1"].getService(Components.interfaces.nsIPromptService);
		var checkbox = { value: true };
		var flag = objPrompt.confirmCheck(window, "表示言語の切り替え",id+" に表示言語を切り替えますか?", "次回も表示する。", checkbox);
		if(flag){
			nsPreferences.setBoolPref('jlpkit.local.confirm',checkbox.value);
			nsPreferences.setUnicharPref('general.useragent.locale',id);
			ReStart();
		}
	}else{
		nsPreferences.setUnicharPref('general.useragent.locale',id);
		ReStart();
	}

}

function changeStatus(){

	document.getElementById('jlpkit-menu-ja').setAttribute("checked",false);
	document.getElementById('jlpkit-menu-en').setAttribute("checked",false);

	document.getElementById('jlpkit-status-ja').setAttribute("checked",false);
	document.getElementById('jlpkit-status-en').setAttribute("checked",false);

	document.getElementById('jlpkit-popup-menu-dialog').setAttribute("checked",nsPreferences.getBoolPref('jlpkit.local.confirm',true));

	switch (getLocal()){
		case 'en-US':
			document.getElementById('jlpkit-menu-en').setAttribute("checked",true);
			document.getElementById('jlpkit-status-en').setAttribute("checked",true);
			document.getElementById('jlpkit-status').setAttribute("image",'chrome://jlpkit/content/en.gif');
			break;
		case 'ja':
			document.getElementById('jlpkit-menu-ja').setAttribute("checked",true);
			document.getElementById('jlpkit-status-ja').setAttribute("checked",true);
			document.getElementById('jlpkit-status').setAttribute("image",'chrome://jlpkit/content/ja.gif');
			break;
	}

}

function getLocal(){
	var ChromeReg=Components.classes["@mozilla.org/chrome/chrome-registry;1"].getService(Components.interfaces.nsIXULChromeRegistry);
	return nsPreferences.getLocalizedUnicharPref("general.useragent.locale",ChromeReg.getSelectedLocale('global'));
}

function init(){
	document.getElementById('jlpkit-status-panel').setAttribute("hidden",!nsPreferences.getBoolPref('jlpkit.display.status',true));
	changeStatus();
}
addEventListener("load",init,true);